<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="initial-scale=1, width=device-width" />
    <link rel="stylesheet" href="./global.css" />
    <link rel="stylesheet" href="./index.css" />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600&display=swap"
    />
  </head>
  <body>
    <div class="sample-webpage">
      <div class="hero-banner">
        <img
          class="pexels-paul-ijsendoorn-33041-icon"
          alt=""
          src="./public/pexelspaulijsendoorn33041@2x.png"
        />

        <div class="color-overlay" data-scroll-to="colorOverlay"></div>
      </div>
      <div class="banner-text-align-left">
        <div class="you-can-use">
          You can use this section to narrate a short description for the title
          or page.
        </div>
        <div class="replace-this-with">Replace This With Your Title</div>
      </div>
      <div class="get-started-button" id="getStartedButton">
        <div class="base">
          <div class="text">Get started</div>
        </div>
      </div>
      <div class="gallery-background" data-scroll-to="galleryBackground"></div>
      <div class="sample-webpage-child"></div>
      <div class="gallery">
        <div class="section-title">GALLERY</div>
        <div class="lorem-ipsum-dolor">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
          eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
          minim veniam.
        </div>
      </div>
      <div
        class="contact-us-background"
        data-scroll-to="contactUsBackground"
      ></div>
      <div class="contact-us-image">
        <img
          class="pexels-alex-fu-2479178-1-icon"
          alt=""
          src="./public/pexelsalexfu2479178-1@2x.png"
        />

        <div class="color-overlay1"></div>
      </div>
      <div class="contact-us">
        <div class="section-title1">CONTACT US</div>
        <div class="lorem-ipsum-dolor">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit
        </div>
      </div>
      <div class="name">
        <div class="container"></div>
        <div class="placeholder">John Doe</div>
        <div class="label-text">Name</div>
      </div>
      <div class="email-address">
        <div class="container"></div>
        <div class="placeholder">john.doe@mail.com</div>
        <div class="label-text">Email Address</div>
      </div>
      <div class="message">
        <div class="container2"></div>
        <div class="placeholder2"></div>
        <div class="label-text2">Message</div>
      </div>
      <div class="submit-button" id="submitButtonContainer">
        <div class="base">
          <div class="text">Submit</div>
        </div>
      </div>
      <div class="footer">
        <div class="container3"></div>
        <div class="all-rights-reserved">2023 | All rights reserved.</div>
      </div>
      <div class="contact-us1">
        <div class="section-title1">ALBUM 1</div>
        <div class="lorem-ipsum-dolor">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit
        </div>
      </div>
      <div class="sample-webpage-item"></div>
      <div class="contact-us2">
        <div class="section-title1">ALBUM 2</div>
        <div class="lorem-ipsum-dolor">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit
        </div>
      </div>
      <div class="sample-webpage-inner"></div>
      <div class="contact-us3">
        <div class="section-title1">ALBUM 3</div>
        <div class="lorem-ipsum-dolor">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit
        </div>
      </div>
      <img
        class="album-1-component"
        alt=""
        src="./public/album-1-component.svg"
      />

      <img
        class="album-2-component"
        alt=""
        src="./public/album-2-component.svg"
      />

      <img
        class="album-3-component"
        alt=""
        src="./public/album-3-component.svg"
      />

      <div class="nav-bar">
        <div class="container4"></div>
        <div class="home" id="hOMEText">HOME</div>
        <div class="gallery1" id="gALLERYText">GALLERY</div>
        <div class="contact" id="cONTACTText">CONTACT</div>
        <img
          class="logo-icon"
          alt=""
          src="./public/logo@2x.png"
          id="logoIcon"
        />
      </div>
    </div>

    <script>
      var getStartedButton = document.getElementById("getStartedButton");
      if (getStartedButton) {
        getStartedButton.addEventListener("click", function () {
          var anchor = document.querySelector("[data-scroll-to='galleryBackground']");
          if (anchor) {
            anchor.scrollIntoView({ block: "start", behavior: "smooth" });
          }
        });
      }
      
      var submitButtonContainer = document.getElementById("submitButtonContainer");
      if (submitButtonContainer) {
        submitButtonContainer.addEventListener("click", function (e) {
          // Please sync "Sample webpage - Submitted form" to the project
        });
      }
      
      var hOMEText = document.getElementById("hOMEText");
      if (hOMEText) {
        hOMEText.addEventListener("click", function () {
          var anchor = document.querySelector("[data-scroll-to='colorOverlay']");
          if (anchor) {
            anchor.scrollIntoView({ block: "start", behavior: "smooth" });
          }
        });
      }
      
      var gALLERYText = document.getElementById("gALLERYText");
      if (gALLERYText) {
        gALLERYText.addEventListener("click", function () {
          var anchor = document.querySelector("[data-scroll-to='galleryBackground']");
          if (anchor) {
            anchor.scrollIntoView({ block: "start", behavior: "smooth" });
          }
        });
      }
      
      var cONTACTText = document.getElementById("cONTACTText");
      if (cONTACTText) {
        cONTACTText.addEventListener("click", function () {
          var anchor = document.querySelector(
            "[data-scroll-to='contactUsBackground']"
          );
          if (anchor) {
            anchor.scrollIntoView({ block: "start", behavior: "smooth" });
          }
        });
      }
      
      var logoIcon = document.getElementById("logoIcon");
      if (logoIcon) {
        logoIcon.addEventListener("click", function () {
          var anchor = document.querySelector("[data-scroll-to='colorOverlay']");
          if (anchor) {
            anchor.scrollIntoView({ block: "start", behavior: "smooth" });
          }
        });
      }
      </script>
  </body>
</html>
